+++
title = "June 2021"
date = 2021-07-01
+++

[![My birthday cake!](image.jpg?width=640#center)](image.jpg)

<div class="text-center">This was technically last month, but celebrated on June 1st. Happy cake day to me!</div>

<!--more-->

## Books

- Up to date with [**DICE**](https://www.webtoons.com/en/fantasy/dice/list?title_no=64)

  The end is getting closer and closer, or so it seems!

- Read [**Shadow and Bone**](https://www.goodreads.com/book/show/10194157-shadow-and-bone)

  Finished the first book of the Ghrisaverse recently, it reminded me of the [Black Magician Trilogy](https://www.goodreads.com/series/44134-the-black-magician-trilogy) though a lot of things happen on this book actually.

  The magic system is a bit... weird. It isn't explained much and though they say it can be infinite the different level in power of characters is not very well expressed with very clear differences in the characters that show up.

  Despite that it's fun to read because the storytelling is good and you start getting yourself inmersed in the life of the characters from the very beginning even if it's a very clear [hero's journey](https://en.wikipedia.org/wiki/Hero's_journey).

- Started reading [**Siege and Storm**](https://www.goodreads.com/book/show/14061955-siege-and-storm)

  Continuing from the previous one, I haven't gotten very far on this one but even in five chapters they already untangled the first book cliffhanger, expecting more to happen and adding a bit of backstory to previously non-explained things.

- Started reading [**One Piece**](https://www.goodreads.com/series/57193-one-piece)

  **Yes!** I finally got a good pack of volumes from a second-hand online store and have tons to read. I haven't actually read the comics from the very beginning before and I'm getting surprised of some changes between the manga and the anime. I'm very happy I managed to get the collection on my shelf already after all this time, this is going to keep me busy for a few months :)

- Read [**Horizon Zero Dawn Volume #1**](https://www.goodreads.com/book/show/55978796-horizon-zero-dawn-vol-1)

  Got this one looking around art books online, and it was quite a surprise that they deciced to tell the history of Horizon's world in this format as well. The history follows a side-quest character shown in the game after the game's ending and while it's not very deep it presents new things to the world that would be present on the new game releasing this year.

## TVShows and Movies

- Lunch time:
  - [**Bones**](https://www.primevideo.com/detail/0HBVL22LMA40B0XBY30RUOC9EH/)

    Why do we keep choosing shows this long!

  - [**One Piece**](https://www.crunchyroll.com/es-es/one-piece)

    Player's 2 idea (never expected this, not complaining though!). Since episodes are very short (~20m) she get enough time to eat. The bad part is that I need to read the comics fast enough so anime doesn't catch up.

- Ongoing with [**Star Wars: The Bad Batch**](https://www.disneyplus.com/series/the-bad-batch/4gMliqFxxqXC)

  Very little has happened until this point, they need to start adding real conflict to the show because is getting a bit boring for my taste :(

- Started [**Loki**](https://www.disneyplus.com/series/loki/6pARMvILBGzF)

  A-mazing. The first chapter is a bit of a introduction to everything so not much is it there, but since this is going to be a 6 episode only show I'm expecting the climax will come in episode 4-5 (4 aired yesterday but I don't have the time to watch it until tomorrow, so shush!). It's actually very good, the mix of _seriousness_ and _humor_ is very well done (and performed!) in the show.

## Games

- Finished [**Horizon: Zero Dawn**](https://www.playstation.com/en-us/games/horizon-zero-dawn/) ([screenshot gallery](http://gallery.fmartingr.com/PlayStation-4-Horizon-Zero-Dawntm_-Complete-Edition.html))

  Finished both the main story and the Frozen Wilds DLC, I enjoyed the story quite a lot to be honest. I like dystopian worlds and getting to know _how did we get there_.

  The game was overall fun though repetitive (all missions are either kill or track, in essence). Side missions doesn't seem to expand the story in a very meaningful way so I just kept to the main storyline and did some sides that were either on my way or gave good rewards. I also had a lot of problems with my inventory, I got the resource expansion satchel the earliest I could because I'm a loot hoarder but after a few hours into the game I was always full and had to sell, scrap or throw stuff around to make room for items (specially blue ones because I didn't knew if I would need them for new gear or quests) and that persisted until the very end of the game.

  The side collectibles around the world were just  too many. When I finished the game I only had 4 text datapoints from the world, out of a bazillion. I want to know more about the Lore of the game but that's just ridiculous.

  Apart from that, the art, storytelling, voice-acting, music department, etc was awesome and really immersive. The only thing I missed while playing is a good sound system to help with the immersion, but well, that's just a first world problem.

- Still in pain: [**Rhythm Tengoku (*リズム天国 / Rhythm Heaven*)**](https://rhythmheaven.fandom.com/wiki/Rhythm_Tengoku)

  I have get gold medals up until the fourth tier, and I'm stuck on the rap game... I may be half way through it, more or less.

- Started [**One Piece: WORLD SEEKER**](https://store.playstation.com/es-es/product/EP0700-CUSA14054_00-OPWSK00APPLI0000) ([screenshot  gallery](http://gallery.fmartingr.com/PlayStation-4-ONE-PIECE-WORLD-SEEKER.html))

  Got this as a birthday present and I'm painfully going though it. I'm just playing because the story is supposed to be an Oda's original, but it just seems a bunch of different mechanics thrown together to make a game with One Piece's assets.

- Started [**Baba is you**](https://store.steampowered.com/app/736260/Baba_Is_You/)

  Player #2 and I started couch-playing this cause we both like puzzle games, one takes the controller and we dig through the levels. I love the premise of the game and how simple interactions in the map change everything, and how player 2 and I look at the puzzles from different perspectives finding more than one solution to each level.

## [Articles](https://t.me/fmartingr_articles)

- **Videogames**:
  - [video] [The complete story of Square (part 1)](https://youtu.be/n0NJz0iA37k)
  - [video] [The Unexpected Success of Horizon Zero Dawn | 3 Years Later (Retrospective)](https://www.youtube.com/watch?v=y8iLmKBlvUE)
  - [video] [The Making of Horizon Zero Dawn](https://www.youtube.com/watch?v=h9tLcD1r-6w)
  - [video] [Japan's Game Preservation Crisis](https://youtu.be/tKH0x21rj1Y)
  - [The Secret Origin of the Action RPG](https://medium.com/@obskyr/the-secret-origin-of-the-action-rpg-254a180079dd)
  - [Final Fantasy Remasters Reignite Controversies Over Pixel Art](https://www.vice.com/en/article/qj83yp/final-fantasy-remasters-reignite-controversies-over-pixel-art)
  - [video] [How Nintendo Failed Into Super Mario Kart | The Story Behind The Super Nintendo Classic](https://www.youtube.com/watch?v=MspqDuq5OZY)

- **Hacking**:
  - [video] [Mining Bitcoin on the Game Boy](https://youtu.be/4ckjr9x214c)
  - [video] [Doom on an IKEA TRÅDFRI lamp!](https://www.youtube.com/watch?v=7ybybf4tJWw)
  - [What's Inside the EU Green Pass QR Code?](https://gir.st/blog/greenpass.html)

- **TV Shows**:
  - [video] [The Strangely Melancholy Ending to The Good Place — Brandon Sanderson](https://youtu.be/Umu19quwinI)

- **Programming**:
  - [How to organize the go struct, in order to save memory](https://medium.com/@felipedutratine/how-to-organize-the-go-struct-in-order-to-save-memory-c78afcf59ec2)

- **Other**:
  - [video] [Top 100 3D Renders from the Internet's Largest CG Challenge | Alternate Realities](https://youtu.be/iKBs9l8jS6Q)
  - [video] [Manga Kissa: Life in Japan’s Smallest Rooms | ASIAN BOSS](https://www.youtube.com/watch?v=wxWK0zb-9k8)
